Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlai.management.runtime
Interface AdapterRuntimeMBean

All Superinterfaces:
  javax.management.DynamicMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, weblogic.management.runtime.RuntimeMBean, weblogic.management.WebLogicMBean

public interface AdapterRuntimeMBean
extends weblogic.management.runtime.RuntimeMBean

MBean for retrieving per-managed-server information such as per-server adapter instance state and statistics. If summary statistics are desired, use the AdapterSummaryMBean instead.

Method Summary
`String` | `getAdapterID()` ID of the Adapter instance this MBean represents as a string (uses appName and the qualified name of the ApplicationView).
`Object` | `getCauseOfCurrentState()` The throwable/exception or String description that caused the AppView to be in the current state (‘Deploy Failed’ and ‘Suspended’ only) or null if the AppView is in none of these states.
`ConnectionPoolStatistics` | `getConnectionPoolStatisticsForFactory(String factoryName)` Get the ConnectorConnectionPoolRuntimeMBean describing the runtime state of the connection pool for the given connection factory
`String[]` | `getDependentAppViewList()` A list of AppView IDs representing all the AppViews depending on this adapter instance (for events, services or design-time) on this server.
`Integer` | `getEventCount(String eventType)` Number of events delivered of the given type.
`Integer` | `getEventErrorCount(String eventType)` Number of event delivery errors encountered for the given type (or all types if eventType is null).
`Long` | `getLastEventDeliveryTime()` The system time (in milliseconds) at which the most recent event was delivered (or –1 if none have been delivered).
`Long` | `getLastServiceInvocationTime()` The system time (in milliseconds) at which the most recent service invocation occurred (or –1 if no services have been invoked).
`Long` | `getServiceAverageElapsedTime(String serviceName)` Average elapsed time (in milliseconds) for service invocations of the given service (or all services if serviceName=null).
`Integer` | `getServiceCount(String serviceName)` Number of service invocations for the given service (or all services if serviceName=null).
`Integer` | `getServiceErrorCount(String serviceName)` Number of service invocation errors encountered for the given service (or all services if serviceName=null)
`Integer` | `getState()` State for this adapter instance on this server.
`ApplicationViewStatistics` | `getStats()` Returns a snapshot of the summary stats for all dependent AppViews for this adapter instance.
`Integer` | `getSuspendedAsyncServiceCount(String serviceName)` Number of async service requests for the given service (or all services if serviceName=null) that have been ‘suspended’ due to the AppView being suspended.
`Integer` | `getSuspendedEventCount(String eventType)` Number of events of the given type (or all types if eventType=null) that have been ‘suspended’ due to the Adapter instance being suspended.
`Long` | `getTimeOfStateChange()` Gets the last time the state of this AppView changed.
`void` | `redeployDeployPhase()` Force the redeploy (deploy only) of this adapter instance on this local server.
`void` | `redeployUndeployPhase()` Force the redeploy (undeploy only) of this adapter instance on this local server.
`void` | `resume()`
`void` | `stopInboundMessaging()`
`void` | `suspend()`

Methods inherited from interface weblogic.management.runtime.RuntimeMBean
`preDeregister`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getAdapterID

    public String getAdapterID()

  ID of the Adapter instance this MBean represents as a string (uses appName and the qualified name of the ApplicationView).

### getState

    public Integer getState()

  State for this adapter instance on this server.

### getCauseOfCurrentState

    public Object getCauseOfCurrentState()

  The throwable/exception or String description that caused the AppView to be in the current state (‘Deploy Failed’ and ‘Suspended’ only) or null if the AppView is in none of these states.

### getTimeOfStateChange

    public Long getTimeOfStateChange()

  Gets the last time the state of this AppView changed.

### suspend

    public void suspend()
                 throws javax.management.MBeanException

  Throws:
    `javax.management.MBeanException`

### resume

    public void resume()
                throws javax.management.MBeanException

  Throws:
    `javax.management.MBeanException`

### stopInboundMessaging

    public void stopInboundMessaging()
                              throws javax.management.MBeanException

  Throws:
    `javax.management.MBeanException`

### redeployUndeployPhase

    public void redeployUndeployPhase()
                               throws javax.management.MBeanException

  Force the redeploy (undeploy only) of this adapter instance on this local server.

  Throws:
    `javax.management.MBeanException`

### redeployDeployPhase

    public void redeployDeployPhase()
                             throws javax.management.MBeanException

  Force the redeploy (deploy only) of this adapter instance on this local server.

  Throws:
    `javax.management.MBeanException`

### getStats

    public ApplicationViewStatistics getStats()
                                       throws javax.management.MBeanException

  Returns a snapshot of the summary stats for all dependent AppViews for this adapter instance.

  Throws:
    `javax.management.MBeanException`

### getDependentAppViewList

    public String[] getDependentAppViewList()
                                     throws javax.management.MBeanException

  A list of AppView IDs representing all the AppViews depending on this adapter instance (for events, services or design-time) on this server.

  Throws:
    `javax.management.MBeanException`

### getEventCount

    public Integer getEventCount(String eventType)
                          throws javax.management.MBeanException

  Number of events delivered of the given type. Pass null to get total events delivered of all types.

  Throws:
    `javax.management.MBeanException`

### getSuspendedEventCount

    public Integer getSuspendedEventCount(String eventType)
                                   throws javax.management.MBeanException

  Number of events of the given type (or all types if eventType=null) that have been ‘suspended’ due to the Adapter instance being suspended.

  Throws:
    `javax.management.MBeanException`

### getEventErrorCount

    public Integer getEventErrorCount(String eventType)
                               throws javax.management.MBeanException

  Number of event delivery errors encountered for the given type (or all types if eventType is null).

  Throws:
    `javax.management.MBeanException`

### getLastEventDeliveryTime

    public Long getLastEventDeliveryTime()
                                  throws javax.management.MBeanException

  The system time (in milliseconds) at which the most recent event was delivered (or –1 if none have been delivered).

  Throws:
    `javax.management.MBeanException`

### getServiceCount

    public Integer getServiceCount(String serviceName)
                            throws javax.management.MBeanException

  Number of service invocations for the given service (or all services if serviceName=null).

  Throws:
    `javax.management.MBeanException`

### getServiceErrorCount

    public Integer getServiceErrorCount(String serviceName)
                                 throws javax.management.MBeanException

  Number of service invocation errors encountered for the given service (or all services if serviceName=null)

  Throws:
    `javax.management.MBeanException`

### getServiceAverageElapsedTime

    public Long getServiceAverageElapsedTime(String serviceName)
                                      throws javax.management.MBeanException

  Average elapsed time (in milliseconds) for service invocations of the given service (or all services if serviceName=null). This number averages in both sync and async service elapsed times. For async services, only the time spent communicating with the adapter is included. Does not include the amount of time the async request spends waiting on the async request queue.

  Throws:
    `javax.management.MBeanException`

### getSuspendedAsyncServiceCount

    public Integer getSuspendedAsyncServiceCount(String serviceName)
                                          throws javax.management.MBeanException

  Number of async service requests for the given service (or all services if serviceName=null) that have been ‘suspended’ due to the AppView being suspended.

  Throws:
    `javax.management.MBeanException`

### getLastServiceInvocationTime

    public Long getLastServiceInvocationTime()
                                      throws javax.management.MBeanException

  The system time (in milliseconds) at which the most recent service invocation occurred (or –1 if no services have been invoked).

  Throws:
    `javax.management.MBeanException`

### getConnectionPoolStatisticsForFactory

    public ConnectionPoolStatistics getConnectionPoolStatisticsForFactory(String factoryName)
                                                                   throws javax.management.MBeanException

  Get the ConnectorConnectionPoolRuntimeMBean describing the runtime state of the connection pool for the given connection factory

  Throws:
    `javax.management.MBeanException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD